function setWeather () {
    var url="http://weather.yahooapis.com/forecastrss?p=JAXX0005&u=c";
	var httpRequest = new XMLHttpRequest();

	httpRequest.open("GET", url);
	httpRequest.overrideMimeType("text/xml");
    httpRequest.setRequestHeader('Cache-Control', 'no-cache'); 
	httpRequest.send(null); 
	httpRequest.onload = function() {xml_responded(httpRequest);}
}

function findChild (element, nodeName){
	var child;
	
	for (child = element.firstChild; child != null; child = child.nextSibling){
		if (child.nodeName == nodeName) return child;
	}
	
	return null;
}

function xml_responded (request) {
    var elm_channel = findChild(findChild(request.responseXML, "rss"), "channel");
    var elm_yweather_location = findChild(elm_channel, "yweather:location");
    var elm_city = elm_yweather_location.getAttribute("city");
    
    var elm_yweather_condition = findChild(findChild(elm_channel, "item"), "yweather:condition");
    var elm_text = elm_yweather_condition.getAttribute("text");
    var elm_temp = elm_yweather_condition.getAttribute("temp");

    document.getElementById("city").innerText = elm_city;
    document.getElementById("text").innerText = elm_text;
    document.getElementById("temp").innerText = elm_temp +" ℃";
}
